Delete Calendar Views

Purpose

To delete one or more calendar views.

Endpoints

  • DELETE /settings/calendar/{calendar_view_ID}
  • DELETE /ettings/calendar?ids={record_id1,record_id2,..,record_id100}

Request Details

Request URL

{api-domain}/crm/{version}/settings/calendar/{calendar_view_ID}
(or)
{api-domain}/crm/{version}/settings/calendar?ids={record_id1,record_id2,..}

Header

Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52

Scope

ZohoCRM.settings.calendar.ALL 
(or)
ZohoCRM.settings.calendar.DELETE

Parameters

  • idsstring, mandatory for deleting multiple calendar views

    The IDs of the calendar views you want to delete. Use the Get Calendar Views API for the IDs of the calendar views available in your org.

Sample Request

Copiedcurl "https://www.zohoapis.com/crm/v8/settings/calendar/554023000006088011"
-X DELETE
-H "Authorization: Zoho-oauthtoken 1000.8cb99dxxxxxxxxxxxxx9be93.9b8xxxxxxxxxxxxxxxf"

Possible Errors

  • INVALID_REQUEST_METHODHTTP 400

    The request method is incorrect.
    Resolution: Use the HTTP DELETE method to make this API call. Any other request method will result in this error.

  • INVALID_DATAHTTP 400

    The calendar view ID you have specified in the request URL or in the ids parameter is invalid.
    Resolution: Use the Get Calendar Views API to get the valid IDs of the calendar views in your org.

  • REQUIRED_PARAM_MISSINGHTTP 400

    You have not specified the ids parameter in the request.
    Resolution: Specify the IDs of the calendar views you want to delete using the ids parameter. Refer to the Parameters section for details.

  • AUTHORIZATION_FAILEDHTTP 400

    You do not have sufficient permission to delete the calendar view(s).
    Resolution: Contact your system administrator.

  • OAUTH_SCOPE_MISMATCHHTTP 401

    The access token you have used to make this API call does not have the required scope.
    Resolution: Generate a new access token with the scope ZohoCRM.settings.calendar.DELETE or ZohoCRM.settings.calendar.ALL.

  • NO_PERMISSIONHTTP 403

    You do not have permission to delete calendar views.
    Resolution: Contact your system administrator.

  • INVALID_URL_PATTERNHTTP 404

    The request URL is incorrect.
    Resolution: Specify a valid request URL. Refer to the Request URL section for the right URL.

  • INTERNAL_ERRORHTTP 500

    Unexpected and unhandled exception in the server.
    Resolution: Contact the support team at support@zohocrm.com.

Sample Response

Copied{
    "cadences": [
        {
            "code": "SUCCESS",
            "details": {
                "id": "554023000006316048"
            },
            "message": "Cadences deleted successfully",
            "status": "success"
        }
    ]
}